version: '3'

services:
  wildfly-domain:
    image: hawkular/wildfly-hawkular-javaagent:latest
    hostname: wf-domain
    environment:
      - HAWKULAR_MODE=domain
  wildfly-standalone:
    image: hawkular/wildfly-hawkular-javaagent:latest
    hostname: wf-standalone
  hawkular:
    image: hawkular/hawkular-services:latest
    hostname: mw-manager
    ports:
      - 8080:8080
    environment:
      - CASSANDRA_NODES=cassandra
      - ADMIN_TOKEN
  cassandra:
    image: cassandra:3.0.12
    ports:
      - 9042:9042
    environment:
      - CASSANDRA_START_RPC=true
      - MAX_HEAP_SIZE=128M
      - HEAP_NEWSIZE=24M
